Name: brother-l2700
Version: 3.2.0
Release: alt4
Group: System/Configuration/Printing
License: GPL
URL: www.brother.com
Summary: Brother MFC-L2700DW LPD + CUPS wrapper driver
Source: %name-%version.tgz
BuildArch: x86_64

Provides: mfcl2700

Requires: perl
Requires: cups
Requires: psutils

AutoReq: No

%description
Brother MFC-L2700DW LPD + CUPS wrapper driver

%prep
%setup -c %name

%install
cd %name-%version

#cups wrapper
mkdir -p %buildroot/%_datadir/ppd/brother
mkdir -p %buildroot/%_libexecdir/cups/filter
mkdir -p %buildroot/%_datadir/cups/model/
mkdir -p %buildroot/opt/brother/Printers/MFCL2700DW/cupswrapper

cp -af ./opt/brother/Printers/MFCL2700DW/cupswrapper/brother-MFCL2700DW-cups-en.ppd %buildroot/opt/brother/Printers/MFCL2700DW/cupswrapper

ln -s /opt/brother/Printers/MFCL2700DW/cupswrapper/brother-MFCL2700DW-cups-en.ppd %buildroot/%_datadir/cups/model
ln -s /opt/brother/Printers/MFCL2700DW/cupswrapper/brother-MFCL2700DW-cups-en.ppd %buildroot/%_datadir/ppd/brother

#%buildroot/%_datadir/cups/model/brother/
cp -af ./opt/brother/Printers/MFCL2700DW/cupswrapper/brother_lpdwrapper_MFCL2700DW %buildroot/opt/brother/Printers/MFCL2700DW/cupswrapper/
ln -s /opt/brother/Printers/MFCL2700DW/cupswrapper/brother_lpdwrapper_MFCL2700DW %buildroot/%_libexecdir/cups/filter/


# what it this?
cp -af ./opt/brother/Printers/MFCL2700DW/cupswrapper/paperconfigml1 %buildroot/opt/brother/Printers/MFCL2700DW/cupswrapper/

#lpr
mkdir -p %buildroot/etc/opt/brother/Printers/MFCL2700DW/inf
mkdir -p %buildroot/%_bindir
mkdir -p %buildroot/var/spool/lpd/MFCL2700DW/

mkdir -p %buildroot/opt/brother/Printers/MFCL2700DW/{inf,lpd}
cp -af ./opt/brother/Printers/MFCL2700DW/inf/* %buildroot/opt/brother/Printers/MFCL2700DW/inf/
cp -af ./opt/brother/Printers/MFCL2700DW/lpd/* %buildroot/opt/brother/Printers/MFCL2700DW/lpd/

ls -l %buildroot/opt/brother/Printers/MFCL2700DW/inf/*

ln -s /opt/brother/Printers/MFCL2700DW/inf/brMFCL2700DWrc %buildroot/etc/opt/brother/Printers/MFCL2700DW/inf/brMFCL2700DWrc

# holy shit below
echo "#! /bin/sh"  > %buildroot/%_bindir/brprintconflsr3_MFCL2700DW
echo "/opt/brother/Printers/MFCL2700DW/lpd/brprintconflsr3 -P MFCL2700DW" '$''*' >> %buildroot/%_bindir/brprintconflsr3_MFCL2700DW
chmod 755 %buildroot/%_bindir/brprintconflsr3_MFCL2700DW



%post
/opt/brother/Printers/MFCL2700DW/inf/setupPrintcap MFCL2700DW -i USB
/opt/brother/Printers/MFCL2700DW/inf/braddprinter -i MFCL2700DW

%preun
/opt/brother/Printers/MFCL2700DW/inf/setupPrintcap MFCL2700DW -e USB
/opt/brother/Printers/MFCL2700DW/inf/braddprinter -e MFCL2700DW
rm -fR /var/spool/lpd/MFCL2700DW/* 2>/dev/null

%files
%_datadir/ppd/*
%_bindir/brprintconflsr3_MFCL2700DW
/var/spool/lpd/MFCL2700DW/
/etc/opt/brother/Printers/MFCL2700DW/inf/brMFCL2700DWrc
/opt/brother/Printers/MFCL2700DW/*
%_datadir/cups/*
%_libexecdir/cups/filter/*

%changelog
* Thu Jan 25 2024 Anton Shevtsov <shevtsov.anton@gmail.com> 3.2.0-alt4
- Merge with ldr driver

* Tue Jan 23 2024 Anton Shevtsov <shevtsov.anton@gmail.com> 3.2.0-alt2
- Removed use of lpadmin

* Tue Jan 23 2024 Anton Shevtsov <shevtsov.anton@gmail.com> 3.2.0-alt1
- Reassembly from the official rpm packages
